Summary:	Generic USB CCID (Chip/Smart Card Interface Devices) driver
Summary(pl.UTF-8):	Ogólny sterownik USB CCID (Chip/Smart Card Interface Devices)
Name:		pcsc-driver-ccid
Version:	1.4.11
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://alioth.debian.org/frs/?group_id=30105
Source0:	https://alioth.debian.org/frs/download.php/file/3920/ccid-%{version}.tar.bz2
# Source0-md5:	20e3d6f045c53707a597cbacb86b6c5b
URL:		http://pcsclite.alioth.debian.org/ccid.html
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	pcsc-lite-devel >= 1.8.3
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.583
Requires:	pcsc-lite >= 1.8.3
Provides:	ccid = %{version}-%{release}
Obsoletes:	ccid < 1.4.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		usbdropdir	/usr/%{_lib}/pcsc/drivers
%define		ccidtwindir	/usr/%{_lib}/pcsc/drivers

# pcscd provides log_msg and log_xxd functions
%define		skip_post_check_so	libccid.so.1.4.0 libccidtwin.so.1.4.0

%description
This package provides generic USB CCID (Chip/Smart Card Interface
Devices) driver.

Full lists of supported devices are available here:
<http://pcsclite.alioth.debian.org/supported.html>
<http://pcsclite.alioth.debian.org/shouldwork.html>

%description -l pl.UTF-8
Ten pakiet zawiera ogólny sterownik USB CCID (Chip/Smart Card
Interface Devices).

Pełne listy obsługiwanych urządzeń są dostępne na WWW:
<http://pcsclite.alioth.debian.org/supported.html>
<http://pcsclite.alioth.debian.org/shouldwork.html>

%package -n udev-pcsc-driver-ccid
Summary:	udev support for CCID PC/SC driver
Summary(pl.UTF-8):	Obsługa udev dla sterownika PC/SC CCID
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	udev-core

%description -n udev-pcsc-driver-ccid
udev support for CCID PC/SC driver.

%description -n udev-pcsc-driver-ccid -l pl.UTF-8
Obsługa udev dla sterownika PC/SC CCID.

%package serial
Summary:	Generic USB CCID driver for readers connected to serial port
Summary(pl.UTF-8):	Ogólny sterownik USB CCID dla czytników podłączonych przez port szeregowy
Group:		Libraries
Requires:	pcsc-lite >= 1.8.3

%description serial
Generic USB CCID driver for readers connected to serial port.
Supported CCID devices:
- Gemplus/Gemalto GemPC Twin
- Gemplus/Gemalto GemCore POS Pro
- Gemplus/Gemalto GemCore SIM Pro
- Gemalto GemPC PinPad

%description serial -l pl.UTF-8
Ogólny sterownik USB CCID dla czytników podłączonych przez port
szeregowy. Obsługiwane urządzenia CCID:
- Gemplus/Gemalto GemPC Twin
- Gemplus/Gemalto GemCore POS Pro
- Gemplus/Gemalto GemCore SIM Pro
- Gemalto GemPC PinPad

%prep
%setup -q -n ccid-%{version}

%build
%configure \
	--disable-silent-rules \
	--enable-ccidtwindir=%{ccidtwindir} \
	--enable-twinserial \
	--enable-usbdropdir=%{usbdropdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/udev/rules.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C src install_ccidtwin \
	DESTDIR=$RPM_BUILD_ROOT

cp -p src/92_pcscd_ccid.rules $RPM_BUILD_ROOT/lib/udev/rules.d/70-pcscd_ccid.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SCARDGETATTRIB.txt readers/supported_readers.txt
%dir %{usbdropdir}/ifd-ccid.bundle
%dir %{usbdropdir}/ifd-ccid.bundle/Contents
%{usbdropdir}/ifd-ccid.bundle/Contents/Info.plist
%dir %{usbdropdir}/ifd-ccid.bundle/Contents/Linux
%attr(755,root,root) %{usbdropdir}/ifd-ccid.bundle/Contents/Linux/libccid.so*

%files -n udev-pcsc-driver-ccid
%defattr(644,root,root,755)
/lib/udev/rules.d/70-pcscd_ccid.rules

%files serial
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SCARDGETATTRIB.txt readers/supported_readers.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/reader.conf.d/libccidtwin
%attr(755,root,root) %{ccidtwindir}/libccidtwin.so*
%changelog
* Tue Jun 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pcsc-driver-ccid.git;a=log;h=master

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 3fa0b81
- updated to 1.4.11

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 3da5d6d
- updated to 1.4.7

* Mon Oct 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 496a929
- disable silent-rules

* Mon Oct 31 2011 Jacek Konieczny <jajcus@pld-linux.org> f3ce3ca
- Version: 1.4.5

* Wed Sep 07 2011 Jakub Bogusz <qboosh@pld-linux.org> e5d9f71
- updated pcsc-lite dependencies

* Wed Aug 31 2011 lmasko <lmasko@pld-linux.org> 5b66c75
- Up to 1.4.4.

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> bbc96a4
- use __rm macro

* Thu Mar 17 2011 Jan Palus <jan.palus@gmail.com> bea9ad9
- up to 1.4.2
- drop obsolete --enable-udev

* Tue Feb 01 2011 sparky <sparky@pld-linux.org> cf1c624
- checked skip_post_check_so; there is no fix, it must stay this way
- BR: perl-base

* Tue Feb 01 2011 Elan Ruusamäe <glen@pld-linux.org> a95a13b
- skip post so check to build now

* Tue Feb 01 2011 Elan Ruusamäe <glen@pld-linux.org> d7e3ed3
- udev to rules to /lib; rel 3

* Mon Jan 03 2011 Elan Ruusamäe <glen@pld-linux.org> 25fcfc7
- Provide upgrade path from 'ccid' package

* Sun Aug 08 2010 Jakub Bogusz <qboosh@pld-linux.org> b0f2b2a
- updated to 1.4.0
- uses libusb-1 now
- pointers to WWW instead of supported readers list (getting too large and still incomplete)

* Tue Apr 06 2010 duddits <duddits@pld-linux.org> 645e16f
- rel. 2

* Fri Feb 26 2010 zbyniu <zbyniu@pld-linux.org> 8334ebc
- up to 1.3.11

* Mon Nov 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 98b7d72
- optional udev (i.e. subpackage)

* Mon Nov 17 2008 Jakub Bogusz <qboosh@pld-linux.org> d3c5018
- updated devices list

* Sun Nov 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 519c436
- pcsc daemon tries to open .so

* Sun Nov 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 34bfc48
- up to 1.3.8; add udev files

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 6920a9b
- updated to 1.3.6

